While everything is updating with passage of time, especially the iOS updates, and the way Apple has managed to kill the OS fragmentation between their OS updates for their devices. Whenever, Apple releases new OS they blocked the previous one to install on the devices and forces users to use the newer iOS on their devices, therefore, we have rarely seen fragmentation issue on the iOS updates and devices. As the Apple has announced iOS 5 this year ahead the launch of iPhone 4S, a large number of users quickly updated their devices to the latest iOS update and start making buzz around the web with new features like iMessage and Twitter Integration.


It appears that there are also few people in the world who uses the two years older iOS’s on their devices due to some hardware backward and incompatibility issue with newer iOS. It is reported that Apple has recently kicked out an update to their App Store, which includes several enhancements to the service, including with the non support for the older devices, such as devices, which are running on iOS 3.1.3 or older iOS versions. According to the report, the users who have been using iOS 3.1.3 and older now not be able to purchase any app and game from the App Store directly from their devices.

Instead of direct contact with App Store from the device, the users have to download or purchase any app right on their machine using iTunes Online Store and then have to manually install the application using the normal sync with the devices through the iTunes.  Apple has yet to announce anything on it, but now asked by many authorities to comment on the compatibility of the App Store on older devices like iPhone 2G, iPhone 3G and iPod 2G.